<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>cd.casic.boot</groupId>
    <artifactId>dependencies</artifactId>
    <version>${revision}</version>
    <packaging>pom</packaging>

    <name>${project.artifactId}</name>
    <description>管理整个项目的依赖版本</description>

    <properties>
        <revision>2.0.0-jdk17</revision>
        <flatten-maven-plugin.version>1.6.0</flatten-maven-plugin.version>
        <!-- 统一依赖管理 -->
        <spring.boot.version>3.3.4</spring.boot.version>
        <!-- Web 相关 -->
        <springdoc.version>2.3.0</springdoc.version>
        <knife4j.version>4.5.0</knife4j.version>
        <!-- DB 相关 -->
        <druid.version>1.2.23</druid.version>
        <mybatis.version>3.5.16</mybatis.version>
        <mybatis-plus.version>3.5.8</mybatis-plus.version> <!-- MyBatis Plus 3.5.8 需要最低 JDK11 版本-->
        <dynamic-datasource.version>4.3.1</dynamic-datasource.version>
        <mybatis-plus-join.version>1.4.13</mybatis-plus-join.version>
        <easy-trans.version>3.0.6</easy-trans.version>
        <redisson.version>3.36.0</redisson.version>
        <dm8.jdbc.version>8.1.3.140</dm8.jdbc.version>
        <kingbase.jdbc.version>8.6.0</kingbase.jdbc.version>
        <opengauss.jdbc.version>5.1.0</opengauss.jdbc.version>
        <sqlite.version>3.47.1.0</sqlite.version>
        <oracle.version>23.5.0.24.07</oracle.version>
        <postgresql.version>42.7.4</postgresql.version>
        <!--        <anwena.version>2.1.0</anwena.version>-->
        <anwena.version>2.0.8.3</anwena.version>
        <!-- 消息队列 -->
        <rocketmq-spring.version>2.3.1</rocketmq-spring.version>
        <!-- 服务保障相关 -->
        <lock4j.version>2.2.7</lock4j.version>
        <!-- 监控相关 -->
        <skywalking.version>9.0.0</skywalking.version>
        <spring-boot-admin.version>3.3.3</spring-boot-admin.version>
        <opentracing.version>0.33.0</opentracing.version>
        <!-- Test 测试相关 -->
        <podam.version>8.0.0.RELEASE</podam.version> <!-- Spring Boot 2.X 最多使用 7.2.11 版本 -->
        <jedis-mock.version>1.1.4</jedis-mock.version>
        <mockito-inline.version>5.2.0</mockito-inline.version>
        <!-- 插件相关包 ,不要用3.10.0 这个版本有问题 ， CVE也有，勿用-->
        <pf4j.version>3.12.1</pf4j.version><!-- 其他版本会有CVE漏洞-->
        <pf4j-spring.version>0.9.0</pf4j-spring.version>
        <!-- 工具类相关 -->
        <jsoup.version>1.18.1</jsoup.version>
        <lombok.version>1.18.34</lombok.version>
        <mapstruct.version>1.6.2</mapstruct.version>
        <hutool-5.version>5.8.32</hutool-5.version>
        <hutool-6.version>6.0.0-M16</hutool-6.version>
        <easyexcel.verion>4.0.3</easyexcel.verion>
        <velocity.version>2.4</velocity.version>
        <fastjson.version>1.2.83</fastjson.version>
        <json.schema.validator.veresion>1.5.6</json.schema.validator.veresion>
        <json.version>20250107</json.version>
        <guava.version>33.3.1-jre</guava.version>
        <transmittable-thread-local.version>2.14.5</transmittable-thread-local.version>
        <commons-net.version>3.11.1</commons-net.version>
        <jsch.version>0.1.55</jsch.version>
        <tika-core.version>2.9.2</tika-core.version>
        <ip2region.version>2.7.0</ip2region.version>
        <bizlog-sdk.version>3.0.6</bizlog-sdk.version>
        <netty.version>4.1.113.Final</netty.version>
        <oshi-version>6.6.5</oshi-version>
        <!-- 三方云服务相关 -->
        <commons-io.version>2.17.0</commons-io.version>
        <commons-compress.version>1.27.1</commons-compress.version>
        <aws-java-sdk-s3.version>1.12.777</aws-java-sdk-s3.version>
        <jimureport.version>1.7.8</jimureport.version>
        <logback.version>1.2.13</logback.version> <!-- 无法使用 1.3.X 版本，启动会报错 -->
        <bcprov-jdk18on.version>1.80</bcprov-jdk18on.version>
        <!-- devops ci worker-->
        <winp.version>1.28</winp.version>
        <version-number.version>1.12</version-number.version>
        <reflections.version>0.10.2</reflections.version>
        <!--        <commons-compress.version>1.21</commons-compress.version>-->
        <commons-exec.version>1.4.0</commons-exec.version>
        <dd-plist.version>1.28</dd-plist.version>
        <apk-parser.version>2.6.10</apk-parser.version>
        <logback-core.version>1.5.8</logback-core.version>
        <logback-classic.version>1.5.8</logback-classic.version>
        <caffeine.version>2.9.3</caffeine.version>
        <resilience4j-circuitbreaker.version>2.3.0</resilience4j-circuitbreaker.version>
        <winrm4j.version>0.12.0</winrm4j.version>
        <ognl.version>3.4.7</ognl.version>

    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- 统一依赖管理 -->
            <dependency>
                <groupId>io.netty</groupId>
                <artifactId>netty-bom</artifactId>
                <version>${netty.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring.boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!-- 系统业务组件 -->
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>commons</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-biz-data-permission</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-biz-ip</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-biz-tenant</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-excel</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-job</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-mongo</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-monitor</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-mq</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.rocketmq</groupId>
                <artifactId>rocketmq-spring-boot-starter</artifactId>
                <version>${rocketmq-spring.version}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-mybatis</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-protection</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-redis</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-security</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-test</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-web</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>spring-boot-starter-websocket</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-infra-api</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-infra-biz</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-system-api</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-system-biz</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-process-api</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-process-biz</artifactId>
                <version>${revision}</version>
            </dependency>

            <!--ci-pipeline-dependency-->

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-commons</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-environment</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-event</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-log</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-market</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-project</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-quality</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-ticket</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-repository</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-worker</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-dispatch-api</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-store-api</artifactId>
                <version>${revision}</version>
            </dependency>

            <dependency>
                <groupId>cd.casic.boot</groupId>
                <artifactId>module-ci-execute</artifactId>
                <version>${revision}</version>
            </dependency>

            <!---->
            <dependency>
                <groupId>io.github.mouzt</groupId>
                <artifactId>bizlog-sdk</artifactId>
                <version>${bizlog-sdk.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.springframework.boot</groupId>
                        <artifactId>spring-boot-starter</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <dependency>
                <!-- 用于生成自定义的 Spring @ConfigurationProperties 配置类的说明文件 -->
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-configuration-processor</artifactId>
                <version>${spring.boot.version}</version>
            </dependency>

            <dependency>
                <groupId>com.github.xiaoymin</groupId>
                <artifactId>knife4j-openapi3-jakarta-spring-boot-starter</artifactId>
                <version>${knife4j.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springdoc</groupId>
                <artifactId>springdoc-openapi-starter-webmvc-api</artifactId>
                <version>${springdoc.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-3-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>

            <dependency>
                <groupId>org.mybatis</groupId>
                <artifactId>mybatis</artifactId>
                <version>${mybatis.version}</version>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-spring-boot3-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-generator</artifactId> <!-- 代码生成器，使用它解析表结构 -->
                <version>${mybatis-plus.version}</version>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>dynamic-datasource-spring-boot3-starter</artifactId> <!-- 多数据源 -->
                <version>${dynamic-datasource.version}</version>
            </dependency>

            <dependency>
                <groupId>com.github.yulichang</groupId>
                <artifactId>mybatis-plus-join-boot-starter</artifactId> <!-- MyBatis 联表查询 -->
                <version>${mybatis-plus-join.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fhs-opensource</groupId> <!-- VO 数据翻译 -->
                <artifactId>easy-trans-spring-boot-starter</artifactId>
                <version>${easy-trans.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.springframework</groupId>
                        <artifactId>spring-context</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>org.springframework.cloud</groupId>
                        <artifactId>spring-cloud-commons</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>com.fhs-opensource</groupId>
                <artifactId>easy-trans-mybatis-plus-extend</artifactId>
                <version>${easy-trans.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fhs-opensource</groupId>
                <artifactId>easy-trans-anno</artifactId>
                <version>${easy-trans.version}</version>
            </dependency>

            <dependency>
                <groupId>org.redisson</groupId>
                <artifactId>redisson-spring-boot-starter</artifactId>
                <version>${redisson.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.springframework.boot</groupId>
                        <artifactId>spring-boot-starter-actuator</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>lock4j-redisson-spring-boot-starter</artifactId>
                <version>${lock4j.version}</version>
                <exclusions>
                    <exclusion>
                        <artifactId>redisson-spring-boot-starter</artifactId>
                        <groupId>org.redisson</groupId>
                    </exclusion>
                </exclusions>
            </dependency>
            <!--监控-->
            <dependency>
                <groupId>org.apache.skywalking</groupId>
                <artifactId>apm-toolkit-trace</artifactId>
                <version>${skywalking.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.skywalking</groupId>
                <artifactId>apm-toolkit-logback-1.x</artifactId>
                <version>${skywalking.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.skywalking</groupId>
                <artifactId>apm-toolkit-opentracing</artifactId>
                <version>${skywalking.version}</version>
            </dependency>

            <dependency>
                <groupId>io.opentracing</groupId>
                <artifactId>opentracing-api</artifactId>
                <version>${opentracing.version}</version>
            </dependency>

            <dependency>
                <groupId>io.opentracing</groupId>
                <artifactId>opentracing-util</artifactId>
                <version>${opentracing.version}</version>
            </dependency>

            <dependency>
                <groupId>io.opentracing</groupId>
                <artifactId>opentracing-noop</artifactId>
                <version>${opentracing.version}</version>
            </dependency>

            <dependency>
                <groupId>de.codecentric</groupId>
                <artifactId>spring-boot-admin-starter-server</artifactId> <!-- 实现 Spring Boot Admin Server 服务端 -->
                <version>${spring-boot-admin.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>de.codecentric</groupId>
                        <artifactId>spring-boot-admin-server-cloud</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <dependency>
                <groupId>de.codecentric</groupId>
                <artifactId>spring-boot-admin-starter-client</artifactId> <!-- 实现 Spring Boot Admin Server 客户端 -->
                <version>${spring-boot-admin.version}</version>
            </dependency>
            <!-- Test 测试 -->
            <dependency>
                <groupId>org.mockito</groupId>
                <artifactId>mockito-inline</artifactId>
                <version>${mockito-inline.version}</version> <!-- 支持 Mockito 的 final 类与 static 方法的 mock -->
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-test</artifactId>
                <version>${spring.boot.version}</version>
                <exclusions>
                    <exclusion>
                        <artifactId>asm</artifactId>
                        <groupId>org.ow2.asm</groupId>
                    </exclusion>
                    <exclusion>
                        <groupId>org.mockito</groupId>
                        <artifactId>mockito-core</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <dependency>
                <groupId>com.github.fppt</groupId>
                <artifactId>jedis-mock</artifactId>
                <version>${jedis-mock.version}</version>
            </dependency>

            <dependency>
                <groupId>uk.co.jemos.podam</groupId>
                <artifactId>podam</artifactId>
                <version>${podam.version}</version>
            </dependency>

            <!-- 工具类 -->
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>

            <dependency>
                <groupId>org.mapstruct</groupId>
                <artifactId>mapstruct</artifactId> <!-- use mapstruct-jdk8 for Java 8 or higher -->
                <version>${mapstruct.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mapstruct</groupId>
                <artifactId>mapstruct-jdk8</artifactId>
                <version>${mapstruct.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mapstruct</groupId>
                <artifactId>mapstruct-processor</artifactId>
                <version>${mapstruct.version}</version>
            </dependency>

            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool-5.version}</version>
            </dependency>
            <dependency>
                <groupId>org.dromara.hutool</groupId>
                <artifactId>hutool-extra</artifactId>
                <version>${hutool-6.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>easyexcel</artifactId>
                <version>${easyexcel.verion}</version>
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-compress</artifactId>
                <version>${commons-compress.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.tika</groupId>
                <artifactId>tika-core</artifactId> <!-- 文件类型的识别 -->
                <version>${tika-core.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>

            <dependency>
                <groupId>com.networknt</groupId>
                <artifactId>json-schema-validator</artifactId>
                <version>${json.schema.validator.veresion}</version>
            </dependency>
            <dependency>
                <groupId>org.json</groupId>
                <artifactId>json</artifactId>
                <version>${json.version}</version>
            </dependency>

            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>${guava.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId> <!-- 解决 ThreadLocal 父子线程的传值问题 -->
                <version>${transmittable-thread-local.version}</version>
            </dependency>

            <dependency>
                <groupId>commons-net</groupId>
                <artifactId>commons-net</artifactId> <!-- 解决 ftp 连接 -->
                <version>${commons-net.version}</version>
            </dependency>

            <dependency>
                <groupId>com.jcraft</groupId>
                <artifactId>jsch</artifactId> <!-- 解决 sftp 连接 -->
                <version>${jsch.version}</version>
            </dependency>

            <dependency>
                <groupId>com.amazonaws</groupId>
                <artifactId>aws-java-sdk-s3</artifactId>
                <version>${aws-java-sdk-s3.version}</version>
            </dependency>

            <dependency>
                <groupId>org.lionsoul</groupId>
                <artifactId>ip2region</artifactId>
                <version>${ip2region.version}</version>
            </dependency>

            <dependency>
                <groupId>org.jsoup</groupId>
                <artifactId>jsoup</artifactId>
                <version>${jsoup.version}</version>
            </dependency>

            <!-- 获取系统信息 -->
            <dependency>
                <groupId>com.github.oshi</groupId>
                <artifactId>oshi-core</artifactId>
                <version>${oshi-version}</version>
            </dependency>

            <dependency>
                <groupId>org.pf4j</groupId>
                <artifactId>pf4j</artifactId>
                <version>${pf4j.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.slf4j</groupId>
                        <artifactId>slf4j-log4j12</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>io.cloudsoft.windows</groupId>
                <artifactId>winrm4j</artifactId>
                <version>${winrm4j.version}</version>  <!-- 最新稳定版 -->
            </dependency>

            <!--数据库驱动-->
            <dependency>
                <groupId>com.dameng</groupId>
                <artifactId>DmJdbcDriver18</artifactId>
                <version>${dm8.jdbc.version}</version>
            </dependency>

            <dependency>
                <groupId>com.oracle.database.jdbc</groupId>
                <artifactId>ojdbc8</artifactId>
                <version>${oracle.version}</version>
            </dependency>

            <dependency>
                <groupId>org.postgresql</groupId>
                <artifactId>postgresql</artifactId>
                <version>${postgresql.version}</version>
            </dependency>

            <dependency>
                <groupId>org.opengauss</groupId>
                <artifactId>opengauss-jdbc</artifactId>
                <version>${opengauss.jdbc.version}</version>
            </dependency>

            <dependency>
                <groupId>cn.com.kingbase</groupId>
                <artifactId>kingbase8</artifactId>
                <version>${kingbase.jdbc.version}</version>
            </dependency>

            <dependency>
                <groupId>org.xerial</groupId>
                <artifactId>sqlite-jdbc</artifactId>
                <version>${sqlite.version}</version>
            </dependency>

            <dependency>
                <groupId>com.gitee.anwena</groupId>
                <artifactId>mongo-plus-boot-starter</artifactId>
                <version>${anwena.version}</version>
            </dependency>

            <!--数据库驱动 end-->
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk18on</artifactId>
                <version>${bcprov-jdk18on.version}</version>
            </dependency>

            <!-- devops ci- worker start-->
            <dependency>
                <groupId>org.jvnet.winp</groupId>
                <artifactId>winp</artifactId>
                <version>${winp.version}</version>
            </dependency>

            <!-- 外部依赖 -->
            <dependency>
                <groupId>org.reflections</groupId>
                <artifactId>reflections</artifactId>
                <version>${reflections.version}</version>
                <!--                <version>请替换为实际版本号</version>-->
            </dependency>

            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-exec</artifactId>
                <version>${commons-exec.version}</version>
                <!--                <version>请替换为实际版本号</version>-->
            </dependency>

            <dependency>
                <groupId>com.googlecode.plist</groupId>
                <artifactId>dd-plist</artifactId>
                <version>${dd-plist.version}</version>
                <!--                <version></version>-->
            </dependency>

            <dependency>
                <groupId>net.dongliu</groupId>
                <artifactId>apk-parser</artifactId>
                <version>${apk-parser.version}</version>
                <!--                <version></version>-->
            </dependency>

            <dependency>
                <groupId>ch.qos.logback</groupId>
                <artifactId>logback-core</artifactId>
                <version>${logback-core.version}</version>
                <!--                <version>1</version>-->
            </dependency>

            <dependency>
                <groupId>ch.qos.logback</groupId>
                <artifactId>logback-classic</artifactId>
                <version>${logback-classic.version}</version>
                <!--                <version></version>-->
            </dependency>

            <dependency>
                <groupId>com.github.ben-manes.caffeine</groupId>
                <artifactId>caffeine</artifactId>
                <version>${caffeine.version}</version>
            </dependency>

            <dependency>
                <groupId>io.github.resilience4j</groupId>
                <artifactId>resilience4j-circuitbreaker</artifactId>
                <version>${resilience4j-circuitbreaker.version}</version>
            </dependency>
            <!-- devops ci- worker end-->

            <dependency>
                <groupId>ognl</groupId>
                <artifactId>ognl</artifactId>
                <version>${ognl.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <!-- 统一 revision 版本 -->
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>flatten-maven-plugin</artifactId>
                <version>${flatten-maven-plugin.version}</version>
                <configuration>
                    <flattenMode>bom</flattenMode>
                    <updatePomFile>true</updatePomFile>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>flatten</goal>
                        </goals>
                        <id>flatten</id>
                        <phase>process-resources</phase>
                    </execution>
                    <execution>
                        <goals>
                            <goal>clean</goal>
                        </goals>
                        <id>flatten.clean</id>
                        <phase>clean</phase>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>

